from tkinter import Tk
from tkinter.simpledialog import askstring as pedir_texto
from tkinter.messagebox import showinfo as mostrar_info
from tkinter.messagebox import askyesno as preg_sino

def preg_nombre() -> str:
    """
    Pregunta el nombre al usuario.
    """
    nombre = pedir_texto('¡Pizzas!',
                         'Indique su nombre y apellido')
    return nombre

def preg_palmitos() -> bool:
    """
    Pregunta al usuario si quiere con palmitos.
    """
    con_palmitos = preg_sino('¡Pizzas!', '¿Con palmitos?')    
    return con_palmitos

def calc_promedio() -> float:
    """
    Calcula el promedio: lo que debe pagar cada uno de base.
    """
    plata = 500
    cant_personas = 20
    promedio = plata / cant_personas
    return promedio

def mostrar_cant_invitados(mis_invitados: list):
    """
    Mostrar la cantidad de invitados de la lista.
    """ 
    cant_invitados = len(mis_invitados)  
    mostrar_info('¡Pizzas!', 'Hay '  \
                 + str(cant_invitados) \
                 + ' inscriptos.')

def juntar_nombres_invitados(mis_invitados: list) -> str:
    """
    Crear un string con todos los nombres de los invitados.
    """
    str_nombres = ""
    for dato in mis_invitados:
        nombre = dato[0]
        str_nombres = todos + ", " + nombre
    return str_nombres

root = Tk()
root.withdraw()

cant_palmitos = 0
lst_invitados = []

for i in range(20):
    nombre = preg_nombre() # <- ¡nuevo!

    cada_uno = calc_promedio() # <- ¡nuevo!
    mostrar_info('¡Pizzas!', nombre + ' Te va a salir: '
                 + str(cada_uno))

    con_palmitos = preg_palmitos() # <- ¡nuevo!

    lst_invitados.append( (nombre, con_palmitos)
    mostrar_cant_invitados(lst_invitados) # <- ¡nuevo!

    if con_palmitos: 
        cant_palmitos = cant_palmitos + 1
        mostrar_info('¡Pizzas!', '¡Genial!')
    else:
        cant_palmitos = cant_palmitos + 1
        mostrar_info('¡Pizzas!',
                     '¡No te olvidés de avisarle a Juan!')

        mostrar_info('¡Pizzas!', 'Juan, hay ' \
                     + str(cant_palmitos)
                     + 'pizzas con palmitos')

mostrar_cant_invitados(lst_invitados) # <- ¡nuevo!

todos = juntar_nombres_invitados(lst_invitados) # <- ¡nuevo!
mostrar_info('¡Pizzas!', todos)
